Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.common.record.flow
Interface ICallRecord

All Superinterfaces:
  Comparable<IMonitoringRecord>, IClassSignature, IFlowRecord, IMonitoringRecord, IOperationRecord, IOperationSignature, Serializable

All Known Subinterfaces:
  ICallObjectRecord

All Known Implementing Classes:
  CallConstructorEvent, CallConstructorObjectEvent, CallOperationEvent, CallOperationObjectEvent

    public interface ICallRecord

extends IOperationRecord

Since:
  1.6
Author:
  Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.common.record.IMonitoringRecord
`IMonitoringRecord.BinaryFactory, IMonitoringRecord.Factory`

Method Summary
`String` | `getCalleeClassSignature()`
`String` | `getCalleeOperationSignature()`
`String` | `getCallerClassSignature()`
`String` | `getCallerOperationSignature()`

Methods inherited from interface kieker.common.record.flow.IOperationSignature
`getOperationSignature`

Methods inherited from interface kieker.common.record.flow.IClassSignature
`getClassSignature`

Methods inherited from interface kieker.common.record.IMonitoringRecord
`getLoggingTimestamp, getSize, getValueTypes, initFromArray, initFromBytes, setLoggingTimestamp, toArray, toString, writeBytes`

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### getCallerOperationSignature

    String getCallerOperationSignature()

### getCallerClassSignature

    String getCallerClassSignature()

### getCalleeOperationSignature

    String getCalleeOperationSignature()

### getCalleeClassSignature

    String getCalleeClassSignature()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net